﻿using System.Data;

using FabApprovalWorkerService.Models;

using Microsoft.Data.SqlClient;

namespace FabApprovalWorkerService.Services;

public interface IDbConnectionService {
    IDbConnection GetConnection();
}

public class DbConnectionService : IDbConnectionService {
    private readonly string _dbConnectionString;

    public DbConnectionService(AppSettings appSettings) {
        _dbConnectionString = appSettings.DbConnectionString;
    }

    public IDbConnection GetConnection() {
        return new SqlConnection(_dbConnectionString);
    }
}